Bug 302602 - Once delegated the button to show in the main view does not work.
Summary: Once delegated the button to show in the main view does not work.
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: chat-plasmoid (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-26 23:24 UTC by David Edmundson
Modified: 2013-02-21 00:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2012-06-26 23:24:53 UTC
Once delegated the button to show the chat in the text-ui does nothing. It should call presentChannel() so the text-ui raises.
Comment 1 Aleix Pol 2012-07-16 23:33:58 UTC
I don't understand this problem... what does presentChannel() do?

does it still apply?
Comment 2 David Edmundson 2012-07-17 00:59:57 UTC
presentChannel is this:
http://telepathy.freedesktop.org/spec/Channel_Dispatcher.html#Method:PresentChannel

(it's worth bookmarking the telepathy spec).

It means when pressed the text-ui will get told "hey, show this tab which you're already handling" - and then it will put itself on the foreground.

However, this won't work at present because there's a bug in the way we delegate channel from plasmoid to the text-ui which means the chat plasmoid still thinks it's handling it. This is because I'm using the low level bindings (badly) to delegate channels.

Will be fixed properly after: https://bugs.freedesktop.org/show_bug.cgi?id=43594

tl;dr - yes still valid. Will fix it once TpQt implements the bug above.
Comment 3 Aleix Pol 2013-02-21 00:43:11 UTC
Git commit 05ab6ed4aa85438dd5fb7342ffcf4ad837d15182 by Aleix Pol.
Committed on 21/02/2013 at 01:39.
Pushed by apol into branch 'master'.

Properly close conversations before delegating them to ktp-text-ui

Helps to make a more coherent behavior upon the detaching feature.

Reviewed by David Edmundson (reviewboard is not working properly... :/)
Related: bug 308130

M  +1    -0    KTp/Declarative/conversation.cpp
M  +1    -0    KTp/Declarative/conversation.h
M  +20   -10   KTp/Declarative/conversations-model.cpp
M  +3    -0    KTp/Declarative/conversations-model.h

http://commits.kde.org/telepathy-common-internals/05ab6ed4aa85438dd5fb7342ffcf4ad837d15182